Package com.emc.documentum.rest.paging

# Class PagedPersistentDataRetriever<T extends PersistentObject>

java.lang.Object
com.emc.documentum.rest.paging.PagedDataRetriever<T>
com.emc.documentum.rest.paging.PagedPersistentDataRetriever<T>

Type Parameters:
  `T` - the object class in the page

public class PagedPersistentDataRetriever<T extends PersistentObject> extends PagedDataRetriever<T>
Fetch a page of persistent data via DQL using the paged query template.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PagedPersistentDataRetriever(ObjectCollectionManager<T> objectCollectionManager, PagedQueryTemplate queryTemplate, int page, int itemsPerPage, boolean includeTotal, AttributeView attributeView)`
  Constructor
  `PagedPersistentDataRetriever(PagedQueryTemplate queryTemplate, int page, int itemsPerPage, boolean includeTotal, AttributeView attributeView, Class<T> targetClass)`
  Constructor; using the default object collection manager to get the DQL results.

- ## Method Summary

  ### Methods inherited from class com.emc.documentum.rest.paging.PagedDataRetriever

  `get`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PagedPersistentDataRetriever

    public PagedPersistentDataRetriever(PagedQueryTemplate queryTemplate, int page, int itemsPerPage, boolean includeTotal, AttributeView attributeView, Class<T> targetClass)
    Constructor; using the default object collection manager to get the DQL results.
    Parameters:
      `queryTemplate` - the query template instance which defines the DQL
      `page` - the page number
      `itemsPerPage` - the page size
      `includeTotal` - indicate whether to include total object count in the result
      `attributeView` - the attribute view for the result
      `targetClass` - the persistent object class for the result instances

  - ### PagedPersistentDataRetriever

    public PagedPersistentDataRetriever(ObjectCollectionManager<T> objectCollectionManager, PagedQueryTemplate queryTemplate, int page, int itemsPerPage, boolean includeTotal, AttributeView attributeView)
    Constructor
    Parameters:
      `objectCollectionManager` - objects collection manager
      `queryTemplate` - the query template instance which defines the DQL
      `page` - the page number
      `itemsPerPage` - the page size
      `includeTotal` - indicate whether to include total object count in the result
      `attributeView` - the attribute view for the result